.TH HG CONFIG  "" "" ""
.SH NAME
hg config \- show combined config settings from all hgrc files
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg config [\-u] [NAME]...
.ft P
.fi
.SH DESCRIPTION
.sp
With no arguments, print names and values of all config items.
.sp
With one argument of the form section.name, print just the value
of that config item.
.sp
With multiple arguments, print names and values of all config
items with matching section names or section.names.
.sp
With \-\-edit, start an editor on the user\-level config file. With
\-\-global, edit the system\-wide config file. With \-\-local, edit the
repository\-level config file.
.sp
With \-\-source, the source (filename and line number) is printed
for each config item.
.sp
See \%\fBhg help config\fP\: for more information about config files.
.sp
\-\-non\-shared flag is used to edit \fI.hg/hgrc\-not\-shared\fP config file.
This file is not shared across shares when in share\-safe mode.
.sp
Template:
.sp
The following keywords are supported. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B name
.
String. Config name.
.TP
.B source
.
String. Filename and line number where the item is defined.
.TP
.B value
.
String. Config value.
.UNINDENT
.sp
The \-\-shared flag can be used to edit the config file of shared source
repository. It only works when you have shared using the experimental
share safe feature.
.sp
Returns 0 on success, 1 if NAME does not exist.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-u,  \-\-untrusted
.
show untrusted configuration options
.TP
.B \-\-exp\-all\-known
.
show all known config option (EXPERIMENTAL)
.TP
.B \-e,  \-\-edit
.
edit user config
.TP
.B \-l,  \-\-local
.
edit repository config
.TP
.B \-\-source
.
show source of configuration value
.TP
.B \-\-shared
.
edit shared source repository config (EXPERIMENTAL)
.TP
.B \-\-non\-shared
.
edit non shared config (EXPERIMENTAL)
.TP
.B \-g,  \-\-global
.
edit global config
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.SH ALIASES
.sp
.nf
.ft C
showconfig, debugconfig
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
